#include <iostream>
using namespace std;
int main()
{
    int n,k,d,g=1;
    long long c=1;
    cin>>n>>d>>k;
    for(int i=0;i<k;i++){
     if(g+d>n){
        g=(g+d)-n;
     }
     else{
        g=g+d;
     }
     c+=g;
    }
    cout<<c;
    return 0;
}